//
//  OAVBRSSItem.m
//  oldAllVoiBooks
//
//  Created by narita on 2017/05/19.
//  Copyright © 2017年 narita. All rights reserved.
//

#import "OAVBRSSItem.h"

@implementation NSString(OAVBRSSItem)

- (NSString*) encloseTag:(NSString*)inTag
{
    NSString* theResult = nil;
    
    theResult = [NSString stringWithFormat:@"<%@>%@</%@>", inTag, self, inTag];
    
    return theResult;
}


@end


@implementation OAVBRSSItem

- (NSString*) writeToString
{
    NSString* theResult = @"    <item>";
    
    theResult = [theResult stringByAppendingString:
                 [NSString stringWithFormat:@"      %@\n", 
                  [self.title encloseTag:@"title"]]];

    theResult = [theResult stringByAppendingString:
                 [NSString stringWithFormat:@"      %@\n", 
                  [self.itunes_author encloseTag:@"itunes:author"]]];

    theResult = [theResult stringByAppendingString:
                 [NSString stringWithFormat:@"      <itunes:image href=\"%@\" />\n", 
                  self.itunes_image]];
    
    theResult = [theResult stringByAppendingString:
                 [NSString stringWithFormat:@"      %@\n", 
                  [self.link encloseTag:@"link"]]];

    theResult = [theResult stringByAppendingString:
                 [NSString stringWithFormat:@"      %@\n", 
                  [self.itemDescription encloseTag:@"description"]]];

    theResult = [theResult stringByAppendingString:
                 [NSString stringWithFormat:@"      <enclosure url=\"%@\" />\n", 
                  self.enclosure]];
    
    theResult = [theResult stringByAppendingString:
                 [NSString stringWithFormat:@"      %@\n", 
                  [self.pubDate encloseTag:@"pubDate"]]];

    theResult = [theResult stringByAppendingString:@"    </item>\n"];
    
    return theResult;
}

@end
