//
//  OAVBRSSChannel.m
//  oldAllVoiBooks
//
//  Created by narita on 2017/05/19.
//  Copyright © 2017年 narita. All rights reserved.
//

#import "OAVBRSSChannel.h"
#import "OAVBRSSItem.h"

@implementation OAVBRSSChannel

- (instancetype) init
{
    self = [super init];
    
    if( self != nil )
    {
        self.items = @[].mutableCopy;
    }
    
    return self;
}

- (NSString*) writeToString
{
    NSString* theResult = @""
    @"<?xml version=\"1.0\" encoding=\"UTF-8\" ?>"
    @"<rss xmlns:itunes=\"http://www.itunes.com/DTDs/Podcast-1.0.dtd\" version=\"2.0\">"
    @"<channel>"
    @"<ttl>30</ttl>"
    @"<title>ヴォイニッチの書棚</title>"
    @"<link>http://www.c-radio.net/link/voi-book.html</link>"
    @"<language>jp</language>"
    @"<itunes:author>くりらじ</itunes:author>"
    @"<itunes:category text=\"Science &amp; Medicine\">"
    @"<itunes:category text=\"Natural Sciences\" />"
    @"</itunes:category>"
    @"<itunes:image href=\"http://www.c-radio.net/images/voi-book.jpg\" />"
    @"<description>　読みやすくて、知識が蓄えられる科学に関する書籍を厳選して紹介します。</description>"
    @"<copyright>2011 Click Radio.</copyright>"
    @"<pubDate>Thu, 21 Apr 2011 12:51:40 +0900</pubDate>"
    @"<category>Internet radio</category>"
    @"<generator>Click radio PODCAT Creator</generator>"
    @"<webMaster>cr@c-radio.net</webMaster>";
    
    for(OAVBRSSItem* i in self.items)
    {
        theResult = [theResult stringByAppendingString:[i writeToString]];
    }

    theResult = [theResult stringByAppendingString:@"</channel>"@"</rss>"];

    return theResult;
}

@end
